// FiveButtons.java

import java.awt.EventQueue;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JFrame;

import com.sun.stylesheet.Stylesheet;

import com.sun.stylesheet.css.CSSParser;

public class FiveButtons extends JFrame
{
   public FiveButtons ()
   {
      super ("Five Buttons");
      setDefaultCloseOperation (EXIT_ON_CLOSE);

      getContentPane ().setLayout (new FlowLayout ());

      JButton btn1 = new JButton ("First");
      getContentPane ().add (btn1);

      JButton btn2 = new JButton ("Second");
      btn2.setName ("second");
      getContentPane ().add (btn2);

      JButton btn3 = new JButton ("Third");
      btn3.putClientProperty ("styleClass", "italic");
      getContentPane ().add (btn3);

      JButton btn4 = new JButton ("Fourth");
      btn4.putClientProperty ("styleClass", "italic");
      getContentPane ().add (btn4);

      JButton btn5 = new JButton ("Fifth");
      getContentPane ().add (btn5);

      pack ();
      setVisible (true);
   }

   public static void main (String [] args)
   {
      Runnable r;
      r = new Runnable ()
          {
              public void run ()
              {
                 String styling =
                   "JButton { foreground: red }"+
                   "JButton#second { font-size: 20pt; foreground: blue }"+
                   "JButton.italic { font-style: italic; foreground: #008000 }";
                 Stylesheet stylesheet = CSSParser.parse (styling);
                 FiveButtons fb = new FiveButtons ();
                 stylesheet.applyTo (fb);
              }
          };
      EventQueue.invokeLater (r);
   }
}
